cmake_minimum_required(VERSION 3.16)

project(transms LANGUAGES CXX)
set(CMAKE_CXX_STANDARD 17)

if (MSVC)
    add_compile_options(/source-charset:utf-8)
endif()

add_executable(transms main.cpp server.h server.cpp)
target_link_libraries(transms PRIVATE trans_net trans_util)